# Red Hat Virtualization UI Plugin

## General

Integration with the Red Hat Virtualization interface allows administrators to perform most of the basic operations without logging into the Storware Backup & Recovery dashboard.

After installation (which is described at the end of this article) you will see a new tab "VM Backups" in the RHV menu.

![](/files/qZDqaZAFMQ3kkjFe4H0C)

### Dashboard

As usual, it contains a short summary of the environment along with a handful of statistics.

![](/files/CiKTcFBGUcJz1QbEsMXp)

You can also see the data summary of the backup destination.

![](/files/U0Z3XhruD2uDA92b4XxU)

### Virtual Machines

This tab shows all inventoried virtual machines in your RHV environment. In addition, you can also perform the basic backup or restore operations.

![](/files/Lco0PieapH7ckdZ4QfkE)

But that's not all, you can also go into the details of the virtual machine by clicking on its name:

![](/files/rYbcikjL1o9za0umJ10d)

Backup window view:

![](/files/IkJUVgyoWcvei1AiT7pY)

### Task console

Basic information about current tasks performed by Storware Backup & Recovery.

![](/files/GU9tu1g77dWn7FFDLRl2)

### Policies

Allows you to create policies for VM's backups and snapshots. These basically have the same functionalities as Storware Backup & Recovery WebUI.

![](/files/xzEe0bALJmJCowX1mpqa)

### Schedules

As with the policies tab, it allows you to create schedules for the created rules.

![](/files/P3NLvGaEDIT0jVKC54c0)

### Mounted Backups

Finally, you can also browse your mounted backups from the RHV dashboard. You only need to enter the backup details using the menu on the right.

![](/files/n5IkfJzj0vwaTq07eEPi)

From here we can see the basic information about the backup and start browsing the files using the "Browse" button on the right.

![](/files/HcDLkLf3cLoptXPxfvjK)

Just select a folder or file and then click on the "download selected" button to have the files on your computer.

![](/files/0MYOES9TV2Y5Fxcim4hl)

## Installation

1. You can find the add-on in the [GitHub repository](https://github.com/Storware/ovirt-engine-ui-vprotect-extensions). Follow the instructions in the README to build or download the plugin. Then extract the provided archive to your RHV manager.
2. In the file `vprotect.json` edit the lines in the config part:
   * `Storware_URL` - the URL to Storware Backup & Recovery API
   * `username` - the name of the administrator in Storware Backup & Recovery
   * `password` - the administrator password in Storware Backup & Recovery

**Example**:

```
   {
      "name": "vprotect",
      "url": "plugin/vprotect/plugin.html",
      "resourcePath": "vprotect-resources",
      "lazyLoad": false,

      "config": {
          "vProtectURL": "http://10.40.0.55:8080/api",
          "username": "admin",
          "password": "vPr0tect"
       }
   }
```

1. Put the `vprotect.json` file and `vprotect-resources` directory in the `/usr/share/ovirt-engine/ui-plugins` directory in the RHV engine.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.storware.eu/integrations-plugins/redhat-virtualization-plugin.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
